@ECHO OFF

SETLOCAL

:: //===============================================================================================
:: // Get the current path of the batch file.
:: //===============================================================================================
SET ROOT=%~d0%~p0

ECHO Root path is: %ROOT%

:: //===============================================================================================
:: // Determine whether the environment is x86 or x64; assume x86 by default.
:: //===============================================================================================
SET NATURALDOCSPATH=%ROOT%tools\NaturalDocs-1.4\

ECHO NaturalDocs path is: %NATURALDOCSPATH%
ECHO ____________________________________

:: //===============================================================================================
:: // Change into the directory and execute the command.
:: //===============================================================================================
PUSHD %NATURALDOCSPATH%

naturaldocs.bat -i %ROOT%\input -o FramedHTML %ROOT%\output -p %ROOT%\scratch -img %ROOT%\input\img -r -s Default FirstPoint shCore shThemeDefault

POPD

:: //===============================================================================================
:: // Use this version to PAUSE the output
:: //===============================================================================================
:: naturaldocs.bat -i %ROOT%\input -o FramedHTML %ROOT%\output -p %ROOT%\scratch -img %ROOT%\input\img -r -s Default FirstPoint shCore shThemeDefault & PAUSE